/* This file is part of QGoogleTranslate
 *
 * Copyright (C) 2009 Durachenko Alexei V. <lexnewton86@gmail.com>
 */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>
#include "ui_mainwindow.h"

class CMainWindow : public QMainWindow, public Ui::MainWindow
{
Q_OBJECT
public:
	CMainWindow( QWidget * parent = 0, Qt::WFlags f = 0 );
	~CMainWindow();
private:
    void saveSettings();
    void loadSettings();

    void updateToolButtonState();

    QSettings* m_Settings;

    QSystemTrayIcon* m_SystemTrayIcon;
protected:
    void closeEvent( QCloseEvent* event );
private slots:
	void on_action_TranslateBuffer_triggered();
	void on_action_ShowHide_triggered();
	void on_action_Preferencec_triggered();
	void on_action_Quit_triggered();
	void on_action_New_triggered();
	void on_action_Close_triggered();
	void on_action_About_QGoogleTranslate_triggered();
	void on_action_AboutQt_triggered();

	void slot_m_SystemTrayIcon_activated( QSystemTrayIcon::ActivationReason );
};

#endif


